TESTING/LIN/cdrvrf4.f(3)

NAME
TESTING/LIN/cdrvrf4.f

SYNOPSIS

  Functions/Subroutines
subroutine cdrvrf4 (nout, nn, nval, thresh, c1, c2, ldc, crf, a, lda, s_work_clange)
CDRVRF4

Function/Subroutine Documentation

  subroutine cdrvrf4 (integer nout, integer nn, integer, dimension( nn ) nval, real thresh, complex, dimension( ldc, * ) c1, complex, dimension( ldc, *) c2, integer ldc, complex, dimension( * ) crf, complex, dimension( lda, * ) a, integer lda, real, dimension( * ) s_work_clange)

CDRVRF4

Purpose:

     CDRVRF4 tests the LAPACK RFP routines:
         CHFRK

Parameters
    NOUT

              NOUT is INTEGER
                    The unit number for output.

    NN

              NN is INTEGER
                    The number of values of N contained in the vector NVAL.

    NVAL

              NVAL is INTEGER array, dimension (NN)
                    The values of the matrix dimension N.

    THRESH

              THRESH is REAL
                    The threshold value for the test ratios.  A result is
                    included in the output file if RESULT >= THRESH.  To have
                    every test ratio printed, use THRESH = 0.

    C1

              C1 is COMPLEX array, dimension (LDC,NMAX)

    C2

              C2 is COMPLEX array, dimension (LDC,NMAX)

    LDC

              LDC is INTEGER
                    The leading dimension of the array A.  LDA >= max(1,NMAX).

    CRF

              CRF is COMPLEX array, dimension ((NMAX*(NMAX+1))/2).

    A

              A is COMPLEX array, dimension (LDA,NMAX)

    LDA

              LDA is INTEGER
                    The leading dimension of the array A.  LDA >= max(1,NMAX).

    S_WORK_CLANGE

              S_WORK_CLANGE is REAL array, dimension (NMAX)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 112 of file cdrvrf4.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.